local _, addon = ...;
local L = {};

L.LoadedMsg = "%s has been loaded";
L.HelpMsg = "%s commands:";

-- Settings
L.Version = "Version";
L.Description = "Description";
L.MadeBy = "Author";
L.AddonNote = "This addon has a few options, that can be enabled and disabled at the settings page.";

L.GeneralSettings = "Global settings";
L.GeneralSettingsDescription = "These settings are account-wide.";
L.RepFormatDescription = "Select the format for the reputation bar";

-- Character
L.CharacterSettingsHeader = "Character settings";
L.AutoRepairText = "Enable auto-repair";
L.AutoRepairTooltip = "Enables auto-repair feature, which repairs your equipment when you speak with someone that can repair it.";
L.QuestingModeText = "Enable questing-mode";
L.QuestingModeTooltip = "Enable questing-mode, which auto-accepts and auto-turn-in quests (if there isn't any reward choices).";

-- Account
L.AccountSettingsHeader = "Account settings";
L.ShowLoadMessageText = "Show load message";
L.ShowLoadMessageTooltip = "Prints a message in the chat when the addon is loaded.";
L.ShowDLUHQText = "Shows DLU HQ on login";
L.ShowDLUHQTooltip = "Shows DLU HQ once you login to a character instead of hiding it.";
L.EnableSellGreyButtonText = "Enable sell grey items button";
L.EnableSellGreyButtonTooltip = "Enables a button for vendors that will sell all grey items in your inventory when clicked.";


L.Option = "%s option %s";
L.Enabled = "enabled";
L.Disabled = "disabled";

L.FAQHeader = "FAQ";
L.FAQMissingFeaturesHeader = "Why is there fewer features now?";
L.FAQMissingFeaturesAnswer = "The reason a lot of the features are gone is, that I am going to refactor (re-program) most of the addon due to changes made by Dragonflight. That is also a good moment to remove some stuff (like previous expansion features no longer being relevant).\n\nI am also looking into some of the revamped UI stuff for settings, but atm it is still kinda buggy.";

L.AddonBlockedError = "Why do I get errors when I change settings?";
L.AddonBlockedErrorAnswer = "This is because I have tried to adopt some of the UI changes to the UI for my settings. These are clearly not working correctly and makes some errors.\n\nThe funny part is, that the settings are set correctly (for checkboxes at least). I have however been forced to remove the option to change the reputation format, since the dropdown changes are the most fragile change to the UI.";
L.AddonWhyChangeSettingsUI = "Why did you change the UI, if it makes errors?";
L.AddonWhyChangeSettingsUIAnswer = "The creation of errors is the downside, but there is also an upside. With the new revamped settings UI, you are able to search for settings, which wasn't an option with the old way of making a settings UI.\n\nIt is worth noting that not all of my setting UI is made in the revamped settings format just yet, as it doesn't allow plain text in the settings frame without having it tied to a settings element (checkbox, dropdown etc).";
L.AddonBlockedErrorSolution = "What should I do about the errors?";
L.AddonBlockedErrorSolutionAnswer = "For now the solution is to just press ignore when the error pops up while we all wait for Blizzard to fix it on their end. If I see any solution somewhere I will update the addon, so we all can be free of the noisy errors.";

L.AddonNotice = "Important! Please check the FAQ under the addon settings.";

L.FixAllErrors = "Fix all errors";
L.FixAllErrorsTooltip = "Resets the account and character settings and disable LUA errors.";
L.FixAllErrorsOldTooltip = "Resets the account and character settings.";
L.FixCharacterErrors = "Fix some errors";
L.FixCharacterErrorsTooltip = "Resets the character settings and disable LUA errors.";
L.FixCharacterErrorsOldTooltip = "Resets the character settings.";

-- Slash commands
L.Reload = "Does the same as /reload, just shorter";
L.DLUHQ = "Opens the DarkruneDK HQ UI";

-- Player
L.Character = "Character";
L.CharacterRepairMsg = "Repaired gear costing %s using character repair.";
L.XP = "Xp";
L.NextLevel = "Next level";
L.MaxLevel = "Max level";
L.RestedXp = "Rested xp";
L.UnspentTalentPointsMsg = "You have %i unspent talent points!";

-- Reputation
L.RenownLevelText = "Reknown %i";

-- Merchant
L.SellGreyItems = "Sell grey items";
L.SellGreyItemsStarted = "Selling grey items. Please wait...";
L.GreyItemsSold = "All grey items (%i) has been sold.";
L.NoItemsSold = "No items were sold.";

-- Sync
L.NewVersion = "A new version is available at CurseForge";

-- Set the language table
addon.L = L;